OpenNMS API 1.2.9

## org.opennms.web.notification.parsers
Class NotificationsWriter

    java.lang.Object
      org.opennms.web.parsers.XMLWriter
          org.opennms.web.notification.parsers.NotificationsWriter

public class NotificationsWriter
extends XMLWriter

This class loads and saves information from the notifications.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private java.lang.String` `status`

Fields inherited from class org.opennms.web.parsers.XMLWriter
`DTD_EXTENSION, m_baseName, m_docBuilder, m_document, m_dtd, m_dtdPath, m_fileName, m_headerInfo, m_xmlPath, XML_EXTENSION`

Constructor Summary
`NotificationsWriter(java.lang.String fileName)` Default constructor, intializes the member variables

Method Summary
`protected void` `saveDocument(java.util.Collection notifications)` This method creates a new DOM tree document that represents the data in the collection.
`void` `setStatus(java.lang.String aStatus)`

Methods inherited from class org.opennms.web.parsers.XMLWriter
`addCDataElement, addDataElement, addEmptyElement, backup, getDTD, getVersion, loadDTD, save, serializeToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    private java.lang.String status

Constructor Detail

### NotificationsWriter

    public NotificationsWriter(java.lang.String fileName)
                        throws XMLWriteException

  Default constructor, intializes the member variables

Method Detail

### setStatus

    public void setStatus(java.lang.String aStatus)

### saveDocument

    protected void saveDocument(java.util.Collection notifications)
                         throws XMLWriteException

  This method creates a new DOM tree document that represents the data in the collection. This document will be serialized to a file to save the configuration.

  Specified by:
    `saveDocument` in class `XMLWriter`
  Parameters:
    `notifications` - the information to save.
  Throws:
    `XMLWriteException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.